<?php

namespace App\Http\Controllers;

use App\Models\Category;
use App\Models\Item;
use App\Models\Ravi;
use App\Models\Supplier;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\DB;

class ItemController extends Controller
{
    public function index()
    {
        $items = Item::orderBy('created_at', 'desc')->get();
        return view('item.list', compact('items'));
    }

    public function create(){
        $categories = Category::all();
        $suppliers = Supplier::all();
        return view('item.create', compact('categories', 'suppliers'));
    }

    public function store(Request $request){
        $data = $request->all();
        if(isset($data['image'])){
            $name = $data['image']->hashName();
            $data['image']->move('uploads/items', $name);
            $data['image'] = $name;
        }

        $data['remaining_quantity'] = $data['quantity'];
        $data['entries'] = $data['quantity'];
        $data['total'] = $data['quantity'];
        $data['sales'] = 0;
        $data['finals'] = $data['quantity'];

        Item::create($data);
        return redirect('item')->withErrors('Enregistrement effectué avec succès');
    }

    public function edit($id){
        $data = Item::find(decrypt($id));
        $categories = Category::all();
        $suppliers = Supplier::all();
        return view('item.edit', compact('data', 'categories', 'suppliers'));
    }

    public function update($id, Request $request){
        $data = $request->all();
        if(isset($data['image'])){
            $name = $data['image']->hashName();
            $data['image']->move('uploads/items',$name);
            $data['image'] = $name;
        }
        if(isset($data['remaining_quantity'])){
            $data['remaining_quantity'] = $data['quantity'];
            Item::find(decrypt($id))->update($data);
            return redirect('item')->withErrors('Modification effectuée avec succès');
        }else{
            Item::find(decrypt($id))->update($data);
            return redirect('item')->withErrors('Modification effectuée avec succès');
        }
    }

    public function delete($id){
        Item::find(decrypt($id))->delete();
        return redirect('item')->withErrors('Suppression effectuée avec succès');
    }

    public function inventory(){
       $items = Item::orderBy('created_at', 'desc')->get();
        return view('item.inventory', compact('items'));
    }

    public function editInventory($id){
        $data = Item::find(decrypt($id));
        $categories = Category::all();
        $suppliers = Supplier::all();
        return view('item.editinventory', compact('data', 'categories', 'suppliers'));
    }

     public function ravitailler($id,Request $request){
         $id=decrypt($id);
         $data=Item::find($id);
         //dd($data);
         $oldsotck=$data->finals;
         //update dans le stock
         $data->remaining_quantity=$data->remaining_quantity+$request->input('quantity');
         $data->quantity=$data->quantity+$request->input('quantity');
         $data->finals=$oldsotck+$request->input('quantity');
         $data->entries=$request->input('quantity');
         $data->save();
         //saving in database ravis
            $add=new Ravi();
            $add->idItem=$id;
            $add->quantity=$request->input('quantity');
            $add->idAdmin=Auth::user()->getAuthIdentifier();
            $add->date=date('Y-m-d');
            $add->idSupplie=$request->input('idSupplie');
            $add->save();
         //
         return redirect('inventory')->with('info','Ravitaillement effectué avec succès');
     }

    public function statistiqueInventory(){
        
        
        return view('inventory.date');
    }

    public function listInventory(){
        return view('item.listInventory');
    }

    public function HistoriqueRavi(Request $request){
        $dateD=date($request->input('debut'));
        $dateF=date($request->input('finale'));
        if($dateD>$dateF){
            return redirect('sale')->with("status","la date du début $dateD est superieur à $dateF.");
        }else{

            $sales=Ravi::where('date','>=',$dateD)
                ->where('date','<=',$dateF)
                ->OrderBy('created_at','desc')
                ->get();

            // dd($sales);
            return view('item.statRavi',compact('sales'));
        }
    }

    public function AnnulerRavi($id){
        $Ravi=Ravi::find(decrypt($id));
       //séléection du produit
        $Item=Item::find($Ravi->idItem);
        $Item->remaining_quantity=$Item->remaining_quantity+$Ravi->quantity;
        $Item->quantity=$Item->quantity+$Ravi->quantity;
        $Item->save();
        //
        Ravi::destroy(decrypt($id));
        return redirect('inventory')->with("info","Ravitaillement annulé avec succès.");
    }

    public function HistoriqueRaviProduit(Request $request){
        $dateD=date($request->input('debut'));
        $dateF=date($request->input('finale'));
        $idItem=$request->input('idItem');
        if($dateD>$dateF){
            return redirect('sale')->with("status","la date du début $dateD est superieur à $dateF.");
        }else{

            $sales=Ravi::where('date','>=',$dateD)
                ->where('date','<=',$dateF)
                ->where('idItem','=',$idItem)
                ->OrderBy('created_at','desc')
                ->get();

            // dd($sales);
            return view('item.statRavi',compact('sales'));
        }
    }

    public function HistoriqueRaviSupplie(Request $request){
        $dateD=date($request->input('debut'));
        $dateF=date($request->input('finale'));
        $idSupllie=$request->input('idSupllie');
        if($dateD>$dateF){
            return redirect('sale')->with("status","la date du début $dateD est superieur à $dateF.");
        }else{

            $sales=Ravi::where('date','>=',$dateD)
                ->where('date','<=',$dateF)
                ->where('idSupplie','=',$idSupllie)
                ->OrderBy('created_at','desc')
                ->get();

            // dd($sales);
            return view('item.statRavi',compact('sales'));
        }
    }
}
