<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Http\Requests\ProfileRequest;
use App\Http\Requests\PasswordRequest;
use App\Models\User;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Hash;

class ProfileController extends Controller
{
    /**
     * Show the form for editing the profile.
     *
     * @return \Illuminate\View\View
     */
    public function edit()
    {
        $User=User::find(Auth::user()->getAuthIdentifier());
        return view('profile.edit',compact('User'));
    }

    /**
     * Update the profile
     *
     * @param  \App\Http\Requests\ProfileRequest  $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function updateProfil(Request $request)
    {
        $Photo=$request->file('photo');
        $photoA=$request->input('photoA');
        $User=User::find(Auth::user()->getAuthIdentifier());
        //vérification de doublon
        $v=User::where('email','=',$User->email)->get();
        if(count($v)>1){
            return back()->withStatus(__('Echec. ces données existe déjà.'));
        }else{
            if($Photo==""){
                $User->name=$request->input('name');
                $User->email=$request->input('email');
                $User->photo=$photoA;
                $User->save();
                return back()->withStatus(__('Profile mise à jour.'));
            }else{
                $User->name=$request->input('name');
                $User->email=$request->input('email');
                $path="uploads/users";
                $file=$request->file('photo');
                $extension=$request->file('photo')->getClientOriginalExtension();
                $nomFichier=rand(1111,9999).'.'.$extension;
                $file->move($path,$nomFichier);
                $User->photo="$path/$nomFichier";
                $User->save();
                return back()->withStatus(__('Profile mise à jour.'));
            }
        }


    }

    /**
     * Change the password
     *
     * @param  \App\Http\Requests\PasswordRequest  $request
     * @return \Illuminate\Http\RedirectResponse
     */
    public function password(PasswordRequest $request)
    {
        auth()->user()->update(['password' => Hash::make($request->get('password'))]);

        return back()->withPasswordStatus(__('Mot de passe modifié avec succès.'));
    }
}
