<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\Category;
use App\Models\Command;
use App\Models\Customer;
use App\Models\Item;
use App\Models\Ravi;
use App\Models\Sale;
use App\Models\Supplier;
use Illuminate\Support\Facades\DB;
use Carbon\Carbon;

class SaleController extends Controller
{
    public function Historique(Request $request){
           $dateD=date($request->input('debut'));
           $dateF=date($request->input('finale'));
           $idCategorie=$request->input('idCategorie');
           $idItem=$request->input('idItem');
           if($dateD>$dateF){
                return redirect('sale')->with("info","la date du début $dateD est superieur à $dateF.");
           }else{

               $sales=Sale::where('date','>=',$dateD)
                   ->where('date','<=',$dateF)
                   ->get();

               $total=0;
               foreach ($sales as $s){
                   $total+=$s->total;
               }

               // dd($sales);
              return view('sale.histo',compact('sales','total'));
           }
    }

    public function HistoriqueProduit(Request $request){
        $dateD=date($request->input('debut'));
        $dateF=date($request->input('finale'));
        $idItem=$request->input('idItem');
        if($dateD>$dateF){
            return redirect('sale')->with("info","la date du début $dateD est superieur à $dateF.");
        }else{

           $sales=Command::whereDate('date','>=',$dateD)
               ->whereDate('date','<=',$dateF)
               ->get();
            $total=0;
            foreach ($sales as $s){
                $total+=$s->total;
            }

            // dd($sales);
            return view('sale.his',compact('sales','total'));
        }
    }

    public function statistique(){
         $today_year= Carbon::today()->format('Y-m-d');
        // dd($today_year);
       return view('statistique.index',compact('today_year'));
    }

    public function HistoriqueCategorieProduit(Request $request){
       
        $dateD=date($request->input('debut'));
        $dateF=date($request->input('finale'));
        $idCategorie=$request->input('idCategorie');
        if($dateD>$dateF){
            return redirect('sale')->with("info","la date du début $dateD est superieur à $dateF.");
        }else{
            $sales=DB::table('commands')
                ->join('items','commands.item_id','=','items.id')
                ->where('items.category_id','=',$idCategorie)
                ->where('commands.created_at','>=',$dateD)
                ->where('commands.created_at','<=',$dateF)
                ->get();
            //dd($sales);

            $total=0;
            foreach ($sales as $s){
                $total+=$s->total;
            }

            // dd($sales);
            return view('sale.his',compact('sales','total'));
        }
    }

    public function detailsCommande($id){
        $id=decrypt($id);
        $Commande=DB::table('commands')
        ->where('sale_id','=',$id)
            ->get();

       // dd($Commande);
        return view('sale.commande',compact('Commande'));
    }
    public function index(){
        $sales = Sale::orderBy('created_at', 'desc')->get();
        return view('sale.list', compact('sales'));
    }

    public function show($id){
        $sale = Sale::find($id);
        return view('sale.show', compact('sale'));
    }

    public function create($id ){
        $id=decrypt($id);
        $items = Item::all();
        $customers = Customer::find($id);
        $Commande=Command::where('customer_id','=',$id)
            ->where('etat','=',0)
            ->OrderBy('created_at','desc')
            ->get();
        $total=0;
        foreach ($Commande as $v){
            $Produit=Item::find($v->item_id);
            if($Produit){
                $total+=($v->quantity*$Produit->retail_price);
            }
        }
        return view('sale.create', compact('items', 'customers','Commande','total'));
    }

    public function AnnulerCommande($id){
        $add=Command::find(decrypt($id));
        Command::destroy(decrypt($id));
        //update dans le stock
        $obj = Item::find($add->item_id);
        if($obj){
            $obj->remaining_quantity=$obj->remaining_quantity+$add->quantity;
            $obj->quantity=$obj->quantity+$add->quantity;
            $obj->save();
        }
        //
        return back()->with("success","Produit enlevé avec succès.");
    }
    public function store(Request $request){
        //insert in commande
        $add=new Command();
        $add->customer_id=$request->input('customer_id');
        $add->quantity=$request->input('quantity');
        $add->item_id=$request->input('item_id');
        $add->sale_id=0;
        $add->etat=0;
        $add->date=date('Y-m-d');
        //
        $obj = Item::find($add->item_id);

        if($add->quantity<=$obj->remaining_quantity){
            $add->save();
            //update dans item
            $obj->remaining_quantity=$obj->remaining_quantity-$request->input('quantity');
            $obj->quantity=$obj->quantity-$request->input('quantity');
            $obj->save();
            //
            return back()->with("success","Le produit $obj->name a été ajouté à la commande avec succès.");
        }else{
            return back()->with("success","Stock insuffisant");
        }


    }

    public function edit(){

    }

    public function update(){

    }

    public function delete(){

    }

    public function print($id, Request $request){
        $sale = Sale::find($id);
        if($request->get('paid')){
            $sale->paid = 1;
            $sale->save();
        }
        return view('sale.bill', compact('sale'));
    }

    public function printt(Request $request){
        /*$sale = Sale::find($id);
        if($request->get('paid')){
            $sale->paid = 1;
            $sale->save();
        }*/
         if($request->input('total')>0){
             $add=new Sale();
             $add->customer_id=$request->input('customer_id');
             $add->total=$request->input('total');
             $add->paid=1;
             $add->date=date('Y-m-d');
             $add->save();
             //
             $last=Sale::OrderBy('created_at','desc')->first();

             //update dans commande
             $mod=Command::where('customer_id','=',$add->customer_id)
                 ->where('etat','=',0)->get();

             foreach ($mod as $m){
                 $modification=Command::find($m->id);
                 $modification->sale_id=$last->id;
                 if($add->paid==1){
                     $modification->etat=1;
                 }else{
                     $modification->etat=0;
                 }

                 $modification->save();
             }
             $sale=Sale::OrderBy('created_at','desc')->first();
             return view('sale.bill', compact('sale'));
         }else{
             return back()->with("success","Désolé, aucun produit ne figure sur la liste de commande.");
         }

    }

    public function Detailssale($id,Request $request){
        $sale = Sale::find($id);
        if($request->get('paid')){
            $sale->paid = 1;
            $sale->save();
        }
        return view('sale.details', compact('sale'));
    }

    public function togglePaid(Request $request){
        $sale = Sale::find($request->get('id'));
        $sale->paid = !$sale->paid;
        $sale->save();
        return $sale;
    }

    public function search(Request $request){
        
          $today_year= Carbon::today()->format('Y-m-d');

        if(date($request->get('start')) or date($request->get('end'))){
            $start = date($request->get('start'));
            $end = date($request->get('end'));
//            dd($start.' '.$end);
            $sales = Sale::orderBy('date', 'desc')->whereBetween('date', [$start, $end])->get();
            $ravi=Ravi::OrderBy('date','desc')->whereBetween('date',[$start,$end])->get();
            return view('search.search', compact('sales','ravi'));
        }

        $sales = Sale::orderBy('created_at', 'desc')->get();
        $ravi=Ravi::OrderBy('created_at','desc')->get();

        return view('search.search', compact('sales','ravi','today_year'));
    }
}
