@extends('layouts.app', ['title' => __('User Management')])

@section('content')
    @include('layouts.headers.cards')

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        @if($errors->any())
                            <div class="msg" style="background: lightgreen; width: 100%; border-radius: 4px; padding: 0px 15px; margin: auto; ">
                                <p style="color: darkgreen; vertical-align: middle">
                                    {{ $errors->first() }}
                                </p>
                            </div><br>
                        @endif
                        <div class="row align-items-center">
                            <div class="col-8">
                                <h3 class="mb-0">{{ __('Produits') }}</h3>
                            </div>
                            @if(auth()->user()->isAdmin())
                                <div class="col-4 text-right">
                                    <a href="{{ route('createItem') }}" class="btn btn-sm btn-primary">{{ __('Ajouter un produit') }}</a>
                                    <a onClick="imprimer('sectionAimprimer')" class="btn btn-sm btn-success" style="color:white">{{ __('Imprimer') }}</a>
                                </div>
                            @endif
                        </div>
                    </div>

                    <div class="col-12">
                        @if (session('status'))
                            <div class="alert alert-success alert-dismissible fade show" role="alert">
                                {{ session('status') }}
                                <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </div>
                        @endif
                    </div>

                    <div style="margin-left: 25px">
                        <span style="display: inline-block">
                            <div style="background: lightpink; border: none; width: 20px; height: 10px"></div>
                        </span>
                        <span style="display: inline-block; font-size: 14px">
                             <div>Alerte d'approvisionnement</div>
                        </span><br><br>
                    </div>

                    <div class="table-responsive" style="padding: 10px" id='sectionAimprimer'>
                        <table id="example1" class="table table-bordered table-striped">
                            <thead class="thead-light">
                            <tr>
                                <th>#</th>
                                <th scope="col">{{ __('Nom') }}</th>
                                {{--                                <th scope="col">{{ __('Fournisseur') }}</th>--}}
                                {{--                               <th scope="col">{{ __('Quantité') }}</th>--}}
                                <th scope="col">{{ __('Quantité') }}</th>
                                {{--                                <th scope="col">{{ __('Prix d\'achat') }}</th>--}}
                                <th scope="col">{{ __('Chargé') }}</th>
                                <th scope="col">{{ __('Fournisseur') }}</th>
                                <th scope="col">{{ __('Date et heure') }}</th>
                                {{--                                <th scope="col">{{ __('Date d\'ajout') }}</th>--}}
                                <th scope="col">Action</th>
                            </tr>
                            </thead>
                            <tbody>
                            @foreach ($sales as $i=>$item)
                               <tr>
                                   <td>{{$i+1}}</td>
                                   <td>
                                       @php
                                         $Item=\App\Models\Item::find($item->idItem);
                                       @endphp
                                       @if($Item)
                                           {{$Item->name}}
                                       @else
                                        Produit inconnu
                                       @endif
                                   </td>
                                   <td>{{$item->quantity}}</td>
                                   <td>
                                       @php
                                          $Admin=\App\User::find($item->idAdmin);
                                       @endphp
                                       @if($Admin) {{$Admin->name}} @else Utilisateur inconnu @endif
                                   </td>
                                   <td>

                                       @php
                                           $Supplie=\App\Models\Supplier::where('id','=',$item->idSupplie)->first();
                                       @endphp

                                       @if($Supplie)
                                           {{$Supplie->name}}
                                       @else
                                           Fournisseur inconnu
                                       @endif
                                   </td>
                                   <td>{{$item->created_at}}</td>
                                   <td>
                                       <a href="{{route('AnnulerRavi',Crypt::encrypt($item->id))}}" class="btn btn-danger btn-sm" style="color:white">Annuler</a>
                                   </td>
                               </tr>
                            @endforeach
                            </tbody>
                        </table>
                    </div>
                    <div class="card-footer py-4">
                        <nav class="d-flex justify-content-end" aria-label="...">
                            {{--                            {{ $users->links() }}--}}
                        </nav>
                    </div>
                </div>
            </div>
        </div>

        @include('layouts.footers.auth')
    </div>
    <script type="text/javascript">
        function imprimer(divName) {
            var printContents = document.getElementById(divName).innerHTML;
            var originalContents = document.body.innerHTML;
            document.body.innerHTML = printContents;
            window.print();
            document.body.innerHTML = originalContents;
        }
    </script>
@endsection