@extends('layouts.app', ['title' => __('User Profile')])

@section('content')
    @include('users.partials.header', [
        'title' => __('Bonjour') . ' '. auth()->user()->name,
        'description' => __('Voici votre page de profil. Vous pouvez observer les progressions de votre travail et manager vos projets et les tâches assignées'),
        'class' => 'col-lg-7'
    ])   

    <div class="container-fluid mt--7">
        <div class="row">
            <div class="col-xl-4 order-xl-2 mb-5 mb-xl-0">
                <div class="card card-profile shadow">
                    <div class="row justify-content-center">
                        <div class="col-lg-3 order-lg-2">
                            <div class="card-profile-image">
                                <a href="#">
                                    <img src="{{asset($User->photo)}}" class="rounded-circle">
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="card-header text-center border-0 pt-8 pt-md-4 pb-0 pb-md-4">
                        <div class="d-flex justify-content-between">
                            {{--<a href="#" class="btn btn-sm btn-info mr-4">{{ __('Connect') }}</a>--}}
                            {{--<a href="#" class="btn btn-sm btn-default float-right">{{ __('Message') }}</a>--}}
                        </div>
                    </div>
                    <div class="card-body pt-0 pt-md-4">
                        <div class="row">
                            <div class="col">
                                <div class="card-profile-stats d-flex justify-content-center mt-md-5">
                                    {{--<div>--}}
                                        {{--<span class="heading">22</span>--}}
                                        {{--<span class="description">{{ __('Friends') }}</span>--}}
                                    {{--</div>--}}
                                    {{--<div>--}}
                                        {{--<span class="heading">10</span>--}}
                                        {{--<span class="description">{{ __('Photos') }}</span>--}}
                                    {{--</div>--}}
                                    {{--<div>--}}
                                        {{--<span class="heading">89</span>--}}
                                        {{--<span class="description">{{ __('Comments') }}</span>--}}
                                    {{--</div>--}}
                                </div>
                            </div>
                        </div>
                        <div class="text-center">
                            <h3>
                                {{ auth()->user()->name }}<span class="font-weight-light"></span>
                            </h3>
                            {{--<div class="h5 font-weight-300">--}}
                                {{--<i class="ni location_pin mr-2"></i>{{ __('Bucharest, Romania') }}--}}
                            {{--</div>--}}
                            {{--<div class="h5 mt-4">--}}
                                {{--<i class="ni business_briefcase-24 mr-2"></i>{{ __('Solution Manager - Creative Tim Officer') }}--}}
                            {{--</div>--}}
                            {{--<div>--}}
                                {{--<i class="ni education_hat mr-2"></i>{{ __('University of Computer Science') }}--}}
                            {{--</div>--}}
                            {{--<hr class="my-4" />--}}
                            {{--<p>{{ __('Ryan — the name taken by Melbourne-raised, Brooklyn-based Nick Murphy — writes, performs and records all of his own music.') }}</p>--}}
                            {{--<a href="#">{{ __('Show more') }}</a>--}}
                        </div>
                    </div>
                </div>
            </div>
            <div class="col-xl-8 order-xl-1">
                <div class="card bg-secondary shadow">
                    <div class="card-header bg-white border-0">
                        <div class="row align-items-center">
                            <h3 class="mb-0">{{ __('Modifier votre profil') }}</h3>
                        </div>
                    </div>
                    <div class="card-body">
                        <form method="post" action="{{ route('profileupdate') }}" autocomplete="off" enctype="multipart/form-data">
                            @csrf
                            <h6 class="heading-small text-muted mb-4">{{ __('Informations de l\'utilisateur') }}</h6>
                            
                            @if (session('status'))
                                <div class="alert alert-success alert-dismissible fade show" role="alert">
                                    {{ session('status') }}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            @endif

                            <div class="pl-lg-4">
                                <label class="form-control-label" for="input-email">{{ __('Photo') }}</label><br>
                                <input type="file" name="photo" class="form-control"><br>
                                <input type="hidden" name="photoA" id="input-email" value="{{$User->photo}}">
                                <label class="form-control-label" for="input-name">{{ __('Nom') }}</label>
                                <input type="text" name="name" value="{{$User->name}}" id="input-name" class="form-control" required ><br>
                                <label class="form-control-label" for="input-email">{{ __('Email') }}</label>
                                <input type="email" name="email" value="{{$User->email}}" id="input-email" class="form-control" required><br>
                                <div class="text-center">
                                    <button type="submit" class="btn btn-success mt-4">{{ __('Modifier') }}</button>
                                </div>
                            </div>
                        </form>
                        <hr class="my-4" />
                        <form method="post" action="{{ route('profile.password') }}" autocomplete="off">
                            @csrf
                            @method('put')

                            <h6 class="heading-small text-muted mb-4">{{ __('Mot de passe') }}</h6>

                            @if (session('password_status'))
                                <div class="alert alert-success alert-dismissible fade show" role="alert">
                                    {{ session('password_status') }}
                                    <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                        <span aria-hidden="true">&times;</span>
                                    </button>
                                </div>
                            @endif

                            <div class="pl-lg-4">
                                <div class="form-group{{ $errors->has('old_password') ? ' has-danger' : '' }}">
                                    <label class="form-control-label" for="input-current-password">{{ __('Mot de passe actuel') }}</label>
                                    <input type="password" name="old_password" id="input-current-password" class="form-control form-control-alternative{{ $errors->has('old_password') ? ' is-invalid' : '' }}" placeholder="{{ __('Mot de passe actuel') }}" value="" required>
                                    
                                    @if ($errors->has('old_password'))
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('old_password') }}</strong>
                                        </span>
                                    @endif
                                </div>
                                <div class="form-group{{ $errors->has('password') ? ' has-danger' : '' }}">
                                    <label class="form-control-label" for="input-password">{{ __('Nouveau Mot de passe') }}</label>
                                    <input type="password" name="password" id="input-password" class="form-control form-control-alternative{{ $errors->has('password') ? ' is-invalid' : '' }}" placeholder="{{ __('Nouveau Mot de passe') }}" value="" required>
                                    
                                    @if ($errors->has('password'))
                                        <span class="invalid-feedback" role="alert">
                                            <strong>{{ $errors->first('password') }}</strong>
                                        </span>
                                    @endif
                                </div>
                                <div class="form-group">
                                    <label class="form-control-label" for="input-password-confirmation">{{ __('Confirmer Mot de passe') }}</label>
                                    <input type="password" name="password_confirmation" id="input-password-confirmation" class="form-control form-control-alternative" placeholder="{{ __('Confirmez Mot de passe') }}" value="" required>
                                </div>

                                <div class="text-center">
                                    <button type="submit" class="btn btn-success mt-4">{{ __('Changer Mot de passe') }}</button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
        
        @include('layouts.footers.auth')
    </div>
@endsection