<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ItemController;
use App\Http\Controllers\CustomerController;
use App\Http\Controllers\CommandController;
use App\Http\Controllers\CategoryController;
use App\Http\Controllers\SupplierController;
use App\Http\Controllers\BasketController;
use App\Http\Controllers\SaleController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::group(['middleware' => 'auth'], function () {
    Route::resource('user', 'UserController', ['except' => ['show']]);
    Route::get('profile', ['as' => 'profile.edit', 'uses' => 'ProfileController@edit']);
    Route::put('profile', ['as' => 'profile.update', 'uses' => 'ProfileController@update']);
    Route::put('profile/password', ['as' => 'profile.password', 'uses' => 'ProfileController@password']);
});
Route::post('profileupdate', [App\Http\Controllers\ProfileController::class, 'updateProfil'])->name('profileupdate');
//Item Routes
Route::get('item', [App\Http\Controllers\ItemController::class, 'index'])->name('item');
Route::get('createItem', [App\Http\Controllers\ItemController::class, 'create'])->name('createItem');
Route::post('addItem',[App\Http\Controllers\ItemController::class, 'store'])->name('addItem');
Route::get('edititem/{id}', [App\Http\Controllers\ItemController::class, 'edit'])->name('edititem');
Route::post('UpdateItem/{id}',[App\Http\Controllers\ItemController::class, 'update'])->name('UpdateItem');
Route::any('/showitem', [App\Http\Controllers\ItemController::class, 'show'])->name('showItem');
Route::get('inventory', [App\Http\Controllers\ItemController::class, 'index'])->name('inventory');
Route::post('ravitailler/{id}', [App\Http\Controllers\ItemController::class, 'ravitailler'])->name('ravitailler');
Route::get('editinventory/{id}',  [App\Http\Controllers\ItemController::class, 'editInventory'])->name('editinventory');
Route::get('deleteitem/{id}',  [App\Http\Controllers\ItemController::class, 'delete'])->name('deleteitem');
Route::get('statistiqueInventory', [App\Http\Controllers\Itemller::class, 'AnnulerRavi'])->name('AnnulerRavi');
Route::post('HistoriqueRaviProduit', [App\Http\Controllers\ItemController::class, 'statistiqueInventory'])->name('statistiqueInventory');
Route::get('listInventory', [App\Http\Controllers\ItemController::class, 'listInventory'])->name('listInventory');
Route::post('HistoriqueRavi', [App\Http\Controllers\ItemController::class, 'HistoriqueRavi'])->name('HistoriqueRavi');
Route::get('AnnulerRavi/{id}', [App\Http\Controllers\ItemControController::class, 'HistoriqueRaviProduit'])->name('HistoriqueRaviProduit');
Route::post('HistoriqueRaviSupplie', [App\Http\Controllers\ItemController::class, 'HistoriqueRaviSupplie'])->name('HistoriqueRaviSupplie');

//Customer Routes
Route::get('customer',  [App\Http\Controllers\CustomerController::class, 'index'])->name('customer');
Route::get('createCustomer',  [App\Http\Controllers\CustomerController::class, 'create'])->name('createCustomer');
Route::post('Addcustomer',  [App\Http\Controllers\CustomerController::class, 'store'])->name('Addcustomer');
Route::get('editcustomer/{id}',  [App\Http\Controllers\CustomerController::class, 'edit'])->name('editcustomer');
Route::post('Updatecustomer/{id}',  [App\Http\Controllers\CustomerController::class, 'update'])->name('Updatecustomer');
Route::any('/showcustomer',  [App\Http\Controllers\CustomerController::class, 'show'])->name('showCustomer');
Route::get('deletecustomer/{id}',  [App\Http\Controllers\CustomerController::class, 'delete'])->name('deletecustomer');

//Command Routes
Route::resource('command', 'CommandController');
Route::any('/createcommand', 'CommandController@create')->name('createCommand');
Route::any('/editcommand/{id}', 'CommandController@edit')->name('createCommand');
Route::any('/showcommand', 'CommandController@show')->name('showCommand');

//Supplier Routes
Route::get('supplier',  [App\Http\Controllers\SupplierController::class, 'index'])->name('supplier');
Route::get('createsupplier',  [App\Http\Controllers\SupplierController::class, 'create'])->name('createSupplier');
Route::post('Addsupplier',  [App\Http\Controllers\SupplierController::class, 'store'])->name('Addsupplier');
Route::get('editsupplier/{id}',  [App\Http\Controllers\SupplierController::class, 'edit'])->name('editsupplier');
Route::post('Updatesupplier/{id}',  [App\Http\Controllers\SupplierController::class, 'update'])->name('Updatesupplier');
Route::any('/showsupplier',  [App\Http\Controllers\SupplierController::class, 'show'])->name('showSupplier');
Route::get('/deletesupplier/{id}',  [App\Http\Controllers\SupplierController::class, 'delete'])->name('deletesupplier');

//Category Routes
Route::get('category',   [App\Http\Controllers\CategoryController::class, 'index'])->name('category');
Route::get('createcategory',   [App\Http\Controllers\CategoryController::class, 'create'])->name('createCategory');
Route::post('Addcategory',  [App\Http\Controllers\CategoryController::class, 'store'])->name('Addcategory');
Route::get('editcategory/{id}',   [App\Http\Controllers\CategoryController::class, 'edit'])->name('editcategory');
Route::any('/showcategory',   [App\Http\Controllers\CategoryController::class, 'show'])->name('showCategory');
Route::get('deletecategory/{id}',   [App\Http\Controllers\CategoryController::class, 'delete'])->name('deletecategory');
Route::post('Updatecategory/{id}',  [App\Http\Controllers\CategoryController::class, 'update'])->name('Updatecategory');

//Basket Routes
Route::any('/createbasket',   [App\Http\Controllers\BasketController::class, 'create'])->name('createBasket');
Route::any('/editbasket/{id}',   [App\Http\Controllers\BasketController::class, 'edit'])->name('editBasket');
Route::any('/showbasket',   [App\Http\Controllers\BasketController::class, 'show'])->name('showBasket'); 
//Sale Routes
Route::get('commandeDate',  [App\Http\Controllers\SaleController::class, 'commandeDate'])->name('commandeDate');
Route::get('sale',   [App\Http\Controllers\SaleController::class, 'index'])->name('sale');
Route::get('createsale/{id}',   [App\Http\Controllers\SaleController::class, 'create'])->name('createSale');
Route::post('AddSale',  [App\Http\Controllers\SaleController::class, 'store'])->name('AddSale');
Route::any('/editsale/{id}',   [App\Http\Controllers\SaleControlle::class, 'edit'])->name('editSale');
Route::any('/showsale',   [App\Http\Controllers\SaleController::class, 'show'])->name('showSale');
Route::get('print/{id}',   [App\Http\Controllers\SaleController::class, 'print'])->name('print');
Route::post('printt',  [App\Http\Controllers\SaleController::class, 'printt'])->name('printt');
Route::any('/togglepaid',   [App\Http\Controllers\SaleController::class, 'togglePaid'])->name('togglePaid');
Route::post('Historique',  [App\Http\Controllers\SaleController::class, 'Historique'])->name('Historique');
Route::get('detailsCommande/{id}',  [App\Http\Controllers\SaleController::class, 'detailsCommande'])->name('detailsCommande');
Route::get('Detailssale/{id}',  [App\Http\Controllers\SaleController::class, 'Detailssale'])->name('Detailssale');
Route::get('AnnulerCommande/{id}',  [App\Http\Controllers\SaleController::class, 'AnnulerCommande'])->name('AnnulerCommande');
Route::post('HistoriqueProduit',  [App\Http\Controllers\SaleController::class, 'HistoriqueProduit'])->name('HistoriqueProduit');
Route::get('statistique',  [App\Http\Controllers\SaleController::class, 'statistique'])->name('statistique');
Route::post('HistoriqueCategorieProduit',  [App\Http\Controllers\SaleController::class, 'HistoriqueCategorieProduit'])->name('HistoriqueCategorieProduit');
//Search Routes
Route::get('search',   [App\Http\Controllers\SaleController::class, 'search'])->name('search');